package net.minecraft.src;

import java.util.Random;

import net.minecraft.client.Minecraft;
import net.minecraft.src.AxisAlignedBB;
import net.minecraft.src.Block;
import net.minecraft.src.Material;
import net.minecraft.src.MovingObjectPosition;
import net.minecraft.src.Vec3D;
import net.minecraft.src.World;

public class BlockSparkler extends BlockTorch {

	protected BlockSparkler(int var1, int var2) {
		super(var1, var2);
		setTickOnLoad(true);
	}
	
	public void randomDisplayTick(World var1, int var2, int var3, int var4, Random var5) {
		int var6 = var1.getBlockMetadata(var2, var3, var4);
		double var7 = (double)((float)var2 + 0.5F);
		double var9 = (double)((float)var3 + 0.7F);
		double var11 = (double)((float)var4 + 0.5F);
		double var13 = 0.2199999988079071D;
		double var15 = 0.27000001072883606D;
		if(var6 == 1) {
			spawnParticles(var1, var7 - var15, var9 + var13, var11);
		} else if(var6 == 2) {
			spawnParticles(var1, var7 + var15, var9 + var13, var11);
		} else if(var6 == 3) {
			spawnParticles(var1, var7, var9 + var13, var11 - var15);
		} else if(var6 == 4) {
			spawnParticles(var1, var7, var9 + var13, var11 + var15);
		} else {
			spawnParticles(var1, var7, var9, var11);
		}
	}
	
	private void spawnParticles(World world, double i, double j, double k) {
		world.spawnParticle("smoke", i, j, k, 0.0D, 0.0D, 0.0D);
		world.spawnParticle("reddust", i, j, k, 0.0D, 0.0D, 0.0D);
		world.spawnParticle("snowshovel", i, j, k, 0.0D, 0.0D, 0.0D);
		world.spawnParticle("lava", i, j, k, 0.0D, 0.0D, 0.0D);
		world.spawnParticle("lava", i, j, k, 0.0D, 0.0D, 0.0D);
		world.spawnParticle("lava", i, j, k, 0.0D, 0.0D, 0.0D);
	}
}
