package net.minecraft.src;

public class EntityInvertedCreeper extends EntityCreeper {
	public EntityInvertedCreeper(World var1) {
		super(var1);
	}

	public int idDropped() {
		return mod_sillies.flipseySparklies.shiftedIndex;
	}

	protected void attackEntity(Entity var1, float var2) {
		if(!worldObj.multiplayerWorld) {
			int var3 = getCreeperState();
			if((var3 > 0 || var2 >= 3.0F) && (var3 <= 0 || var2 >= 7.0F)) {
				setCreeperState(-1);
				--timeSinceIgnited;
				if(timeSinceIgnited < 0) {
					timeSinceIgnited = 0;
				}
			}
			else {
				if(timeSinceIgnited == 0) {
					worldObj.playSoundAtEntity(this, "random.fuse", 1.0F, 0.5F);
				}
				setCreeperState(1);
				++timeSinceIgnited;
				if(timeSinceIgnited >= 30) {
					worldObj.setBlock((int) posX, (int) posY, (int) posZ, mod_sillies.wormhole.blockID);
					worldObj.setBlock((int) posX, (int) posY + 1, (int) posZ, mod_sillies.wormhole.blockID);
					setEntityDead();
				}
				hasAttacked = true;
			}
		}
	}

	private int getCreeperState() {
		return dataWatcher.getWatchableObjectByte(16);
	}

	private void setCreeperState(int var1) {
		dataWatcher.updateObject(16, Byte.valueOf((byte)var1));
	}
}