package net.minecraft.src;

import java.awt.Color;
import java.util.Map;

import net.minecraft.client.Minecraft;

public class mod_sillies extends BaseMod implements IInterceptBlockSet {
	@MLProp public static int wormholeID = 250;
	@MLProp public static int sparklerID = 251;
	public static final Block wormhole = (new BlockWormhole(wormholeID, ModLoader.addOverride("/terrain.png", "/sillies/wormhole.png"))).setHardness(0.5F).setStepSound(Block.soundGlassFootstep).setLightValue(0.75F).setBlockName("wormhole");
	public static final Block sparkler = (new BlockSparkler(sparklerID, Block.torchWood.blockIndexInTexture)).setHardness(0.0F).setLightValue(0.9375F).setStepSound(Block.soundWoodFootstep).setBlockName("sparkler").disableNeighborNotifyOnMetadataChange();

	@MLProp public static int flipseySparkliesID = 2640;
	@MLProp public static int rainbowDustID = 2641;
	@MLProp public static int rainbowWineID = 2642;
	public static final Item flipseySparklies = (new Item(flipseySparkliesID)).setIconIndex(ModLoader.addOverride("/gui/items.png", "/sillies/flipseySparklies.png")).setItemName("flipseySparklies");
	public static final Item rainbowDust = (new ItemRainbowDust(rainbowDustID)).setIconIndex(ModLoader.addOverride("/gui/items.png", "/sillies/rainbowDust.png")).setItemName("rainbowDust");
	public static final Item rainbowWine = (new ItemRainbowDust(rainbowWineID)).setIconIndex(ModLoader.addOverride("/gui/items.png", "/sillies/rainbowWine.png")).setItemName("rainbowWine");

	public static Color skyColour = Color.red;
	public static float skyHue = 0.0F;
	
	public static DimensionBase drugworld = new DimensionDrugworld();

	public mod_sillies() {
		ModLoader.SetInGameHook(this, true, false);
		SAPI.interceptAdd(this);

		ModLoader.AddSpawn("InvertedCreeper", 4, EnumCreatureType.monster);

		ModLoader.RegisterBlock(wormhole);
		ModLoader.RegisterBlock(sparkler);
		ModLoader.AddName(wormhole, "Wormhole");
		ModLoader.AddName(sparkler, "Sparkler");

		ModLoader.AddName(flipseySparklies, "Flipsey Sparklies");
		ModLoader.AddName(rainbowDust, "Rainbow Dust");
		ModLoader.AddName(rainbowWine, "Rainbow Wine");

		ModLoader.AddShapelessRecipe(new ItemStack(rainbowDust, 4), new Object[] {flipseySparklies, new ItemStack(Item.dyePowder, 1, 1), new ItemStack(Item.dyePowder, 1, 14), new ItemStack(Item.dyePowder, 1, 11), new ItemStack(Item.dyePowder, 1, 10), new ItemStack(Item.dyePowder, 1, 4), new ItemStack(Item.dyePowder, 1, 5), new ItemStack(Item.dyePowder, 1, 9), Block.mushroomRed});
		ModLoader.AddShapelessRecipe(new ItemStack(rainbowDust, 4), new Object[] {flipseySparklies, new ItemStack(Item.dyePowder, 1, 1), new ItemStack(Item.dyePowder, 1, 14), new ItemStack(Item.dyePowder, 1, 11), new ItemStack(Item.dyePowder, 1, 10), new ItemStack(Item.dyePowder, 1, 4), new ItemStack(Item.dyePowder, 1, 5), new ItemStack(Item.dyePowder, 1, 9), Block.mushroomBrown});
		ModLoader.AddRecipe(new ItemStack(rainbowWine, 1), new Object[] {"X#X", "XLX", "XXX", Character.valueOf('X'), Block.glass, Character.valueOf('#'), rainbowDust, Character.valueOf('L'), Item.bucketLava});
		ModLoader.AddRecipe(new ItemStack(sparkler, 4), new Object[] {"X", "|", Character.valueOf('X'), flipseySparklies, Character.valueOf('|'), Item.stick});
	}

	@Override
	public boolean OnTickInGame(Minecraft mc) {
		skyHue += 0.0025F;
		if(skyHue >= 1.0F) {
			skyHue -= 1.0F;
		}
		skyColour = Color.getHSBColor(skyHue, 1.0F, 1.0F);
		return true;
	}

	@Override
	public String Version() {
		return "1.7.3";
	}

	static {
		ModLoader.RegisterEntityID(net.minecraft.src.EntityInvertedCreeper.class, "InvertedCreeper", 26);
	}

	@Override
	public void AddRenderer(Map map) {
		map.put(net.minecraft.src.EntityInvertedCreeper.class, new RenderInvertedCreeper());
	}

	@Override
	public boolean canIntercept(World var1, Loc var2, int var3) {
		return var3 == Block.fire.blockID && var1.getWorldInfo().getDimension() == drugworld.number;
	}

	@Override
	public int intercept(World var1, Loc var2, int var3) {
		return 0;
	}
}
